Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.event
Interface ApplicationEventMulticaster

All Known Implementing Classes:
  AbstractApplicationEventMulticaster, SimpleApplicationEventMulticaster

    public interface ApplicationEventMulticaster

Interface to be implemented by objects that can manage a number of ApplicationListeners, and publish events to them. An example of such an object is an ApplicationEventPublisher, typically the ApplicationContext, which can use an ApplicationEventMulticaster as a helper to publish events to listeners.

Author:
  Rod Johnson

Method Summary
`void` | `addApplicationListener(ApplicationListener listener)` Add a listener to be notified of all events.
`void` | `multicastEvent(ApplicationEvent event)` Multicast the given application event to appropriate listeners.
`void` | `removeAllListeners()` Remove all listeners registered with this multicaster.
`void` | `removeApplicationListener(ApplicationListener listener)` Remove a listener from the notification list.

Method Detail

### addApplicationListener

    void addApplicationListener(ApplicationListener listener)

  Add a listener to be notified of all events.

  Parameters:
    `listener` - the listener to add

### removeApplicationListener

    void removeApplicationListener(ApplicationListener listener)

  Remove a listener from the notification list.

  Parameters:
    `listener` - the listener to remove

### removeAllListeners

    void removeAllListeners()

  Remove all listeners registered with this multicaster. It will perform no action on event notification until more listeners are registered.

### multicastEvent

    void multicastEvent(ApplicationEvent event)

  Multicast the given application event to appropriate listeners.

  Parameters:
    `event` - the event to multicast

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.